Package Details: python-deepspeech 0.9.3-1

Git Clone URL: https://aur.archlinux.org/deepspeech.git (read-only, click to copy)
Package Base: deepspeech
Description: DeepSpeech Python bindings
Upstream URL: https://github.com/mozilla/DeepSpeech
Keywords: deep-learning machine-learning neural-networks speech-recognition speech-to-text tensorflow
Licenses: MPL2
Submitter: onny
Maintainer: xantares
Last Packager: xantares
Votes: 1
Popularity: 0.59
First Submitted: 2017-12-17 12:34
Last Updated: 2021-03-26 22:00

Latest Comments

flipmess commented on 2021-04-11 23:32

hi, i get this error while compiling with bazel3:

...
pip install --quiet numpy wheel==0.33.6 setuptools==45.0.0
ERROR: Exception:
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/base_command.py", line 224, in _main
    status = self.run(options, args)
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/req_command.py", line 180, in wrapper
    return func(self, options, args)
  File "/usr/lib/python3.9/site-packages/pip/_internal/commands/install.py", line 320, in run
    requirement_set = resolver.resolve(
  File "/usr/lib/python3.9/site-packages/pip/_internal/resolution/resolvelib/resolver.py", line 121, in resolve
    self._result = resolver.resolve(
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 453, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 347, in resolve
    failure_causes = self._attempt_to_pin_criterion(name, criterion)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 216, in _attempt_to_pin_criterion
    satisfied = all(
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 217, in <genexpr>
    self._p.is_satisfied_by(r, candidate)
  File "/usr/lib/python3.9/site-packages/pip/_internal/resolution/resolvelib/provider.py", line 95, in is_satisfied_by
    return requirement.is_satisfied_by(candidate)
  File "/usr/lib/python3.9/site-packages/pip/_internal/resolution/resolvelib/requirements.py", line 102, in is_satisfied_by
    return spec.contains(candidate.version, prereleases=True)
  File "/usr/lib/python3.9/site-packages/packaging/specifiers.py", line 790, in contains
    item = parse(item)
  File "/usr/lib/python3.9/site-packages/packaging/version.py", line 57, in parse
    return Version(version)
  File "/usr/lib/python3.9/site-packages/packaging/version.py", line 296, in __init__
    match = self._regex.search(version)
TypeError: expected string or bytes-like object
make: *** [Makefile:47: bindings] Error 2
make: Leaving directory '/home/flipmess/.cache/yay/deepspeech/src/DeepSpeech-0.9.3/native_client/ctcdecode'
==> ERROR: A failure occurred in build().
    Aborting...
error making: deepspeech

tobil commented on 2021-02-03 12:24

I get with current manjaro

mkdir -p /home/leo/.cache/yay/deepspeech/src/DeepSpeech-0.9.3/native_client/ds-swig
wget -O - ""https://community-tc.services.mozilla.com/api/index/v1/task/project.deepspeech.swig.linux.amd64.1a4c14945012f1282c2eddc174fb7674d5295de8.0/artifacts/public/ds-swig.tar.gz"" | tar -C /home/leo/.cache/yay/deepspeech/src/DeepSpeech-0.9.3/native_client/ds-swig -zxf -
--2021-02-03 13:22:51--  https://community-tc.services.mozilla.com/api/index/v1/task/project.deepspeech.swig.linux.amd64.1a4c14945012f1282c2eddc174fb7674d5295de8.0/artifacts/public/ds-swig.tar.gz
Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt'
Resolving community-tc.services.mozilla.com (community-tc.services.mozilla.com)... 34.102.144.36
Connecting to community-tc.services.mozilla.com (community-tc.services.mozilla.com)|34.102.144.36|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2021-02-03 13:22:51 ERROR 404: Not Found.


gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error is not recoverable: exiting now
make: *** [definitions.mk:235: /home/leo/.cache/yay/deepspeech/src/DeepSpeech-0.9.3/native_client/ds-swig/bin/swig] Error 2

pix3l commented on 2020-11-05 11:00

ERROR: The project you're trying to build requires Bazel 3.1.0 (specified in /mnt/magazyn/archlinux/aur-deepspeech/src/DeepSpeech-0.9.0/tensorflow/.bazelversion), but it wasn't found in /usr/bin

I've bazel 3.7.0-1, shouldn't that be enough?

BTW, shouldn't it be linked against system-wide TensorFlow (and potentially use optimized build for nVidia CUDA or AMD ROCm?

xantares commented on 2020-09-07 17:19

should be ok now

pomputer commented on 2020-08-26 13:33

Build failed with:

c++  -std=c++11 -o deepspeech pkg-config --cflags sox -fopenmp client.cc -Wl,--no-as-needed -Wl,-rpath,\$ORIGIN -L/tmp/patrick-tmp/deepspeech/src/DeepSpeech-0.8.2/tensorflow/bazel-bin/native_client  -ldeepspeech  -lsox -Wl,-no-undefined
/usr/bin/ld: cannot find -ldeepspeech
collect2: error: ld returned 1 exit status
make: *** [Makefile:22: deepspeech] Error 1
==> ERROR: A failure occurred in build().
    Aborting...

kinoe commented on 2020-01-11 10:38

Build here failed with:

WARNING: The following rc files are no longer being read, please transfer their contents or import their path into one of the standard rc files: /var/tmp/pamac-build-kinoe/deepspeech/src/tensorflow/tools/bazel.rc

FATAL: Could not find system javabase. Ensure JAVA_HOME is set, or javac is on your PATH. Traceback (most recent call last): File "configure.py", line 1455, in <module> main() File "configure.py", line 1346, in main check_bazel_version('0.5.4') File "configure.py", line 459, in check_bazel_version curr_version = run_shell(['bazel', '--batch', 'version']) File "configure.py", line 154, in run_shell output = subprocess.check_output(cmd) File "/usr/lib/python3.8/subprocess.py", line 411, in check_output return run(*popenargs, stdout=PIPE, timeout=timeout, check=True, File "/usr/lib/python3.8/subprocess.py", line 512, in run raise CalledProcessError(retcode, process.args, subprocess.CalledProcessError: Command '['bazel', '--batch', 'version']' returned non-zero exit status 36.

==> ERROR: An error happened in build (). Aborting ... Error making: deepspeech

krushndayshmookh commented on 2019-06-20 06:13

Build failed with:

Starting local Bazel server and connecting to it...
INFO: Invocation ID: bdf56950-5c40-4959-bd99-edbd5acd99a7
ERROR: error loading package '': Encountered error while reading extension file 'closure/defs.bzl': no such package '@io_bazel_rules_closure//closure': The native http_archive rule is deprecated. load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_archive") for a drop-in replacement.
Use --incompatible_remove_native_http_archive=false to temporarily continue using the native rule.
ERROR: error loading package '': Encountered error while reading extension file 'closure/defs.bzl': no such package '@io_bazel_rules_closure//closure': The native http_archive rule is deprecated. load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_archive") for a drop-in replacement.
Use --incompatible_remove_native_http_archive=false to temporarily continue using the native rule.
INFO: Elapsed time: 4.131s
INFO: 0 processes.
FAILED: Build did NOT complete successfully (0 packages loaded)
    Fetching @io_bazel_rules_closure; fetching
==> ERROR: A failure occurred in build().
    Aborting...
Error making: deepspeech

lesto commented on 2018-01-23 23:42

@crypdick unistall bazel and retry.

also i suggest to change "export CC_OPT_FLAGS="-march=x86-64"" to "export CC_OPT_FLAGS="-march=native"" to enable ALL the optimization for your hardware

crypdick commented on 2018-01-15 22:54

I edited the PKGBUILD using a216's instructions but I'm getting an error about sycl_library_path:

EDIT moved to a gist: https://gist.github.com/crypdick/3afe9083dbf65ff9f8a2a0dcc3b91b10

a216 commented on 2017-12-22 05:38

Thanks for packaging this! I ran into a small error: there should be another colon between the filename and the url on the source line, like so:

source=("deepspeech-${pkgver}.tar.gz::https://github.com/mozilla/DeepSpeech/archive/v${pkgver}.tar.gz" "git+https://github.com/mozilla/tensorflow.git")

This is documented at <https://wiki.archlinux.org/index.php/PKGBUILD#source>

Thanks again, can't wait to play around with this!